#!/bin/sh

cd "$(dirname "$0")"
cd "../MacOS"

./dfu-programmer at32uc3b1256 setfuse bootprot 3

if [ "$?" != "0" ]; then
    echo "Exiting on error!" 1>&2
    exit 1
fi

echo "Erasing..."
./dfu-programmer at32uc3b1256 erase
echo "Changing card firmware for 200e USB Firmware Update..."
./dfu-programmer at32uc3b1256 flash --suppress-bootloader-mem --suppress-validation ../Resources/TWI_EEPROM.hex
./dfu-programmer at32uc3b1256 flash-user --suppress-bootloader-mem ../Resources/TWI_EEPROM_UserMem.hex
./dfu-programmer at32uc3b1256 setfuse bootprot 1
echo "Restarting card with new firmware..."
./dfu-programmer at32uc3b1256 start
 
