#!/bin/sh

cd "$(dirname "$0")"
cd "../MacOS"

#var=$(pwd)
#echo "The current working directory $var."

../MacOS/dfu-programmer at32uc3b1256 setfuse bootprot 3

if [ "$?" != "0" ]; then
    echo "Exiting on error!" 1>&2
    exit 1
fi

echo "Erasing..."
./dfu-programmer at32uc3b1256 erase
echo "Changing card firmware for 200e USB-MIDI..."
./dfu-programmer at32uc3b1256 flash --suppress-bootloader-mem --suppress-validation ../Resources/225m.hex
./dfu-programmer at32uc3b1256 flash-user --suppress-bootloader-mem ../Resources/TWI_EEPROM_UserMem.hex
echo "Restarting card with new firmware..."
./dfu-programmer at32uc3b1256 start

 
